Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua

# Class QuaquaIconFactory

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.QuaquaIconFactory

public class QuaquaIconFactory extends Object
QuaquaIconFactory.

## Method Summary

Modifier and Type
Method
Description
`static Image`
`createBufferedImage(String location)`
`static Icon`
`createButtonStateIcon(String location, int states)`
`static Icon`
`createButtonStateIcon(String location, int states, Point shift)`
`static Icon`
`createButtonStateIcon(String location, int states, Rectangle shift)`
`static Icon`
`createIcon(Class baseClass, String location)`
`static Icon`
`createIcon(Class baseClass, String location, Point shift)`
`static Icon`
`createIcon(Class baseClass, String location, Rectangle shiftAndSize)`
`static Icon`
`createIcon(String location, int count, boolean horizontal, int index)`
`static Icon[]`
`createIcons(String location, int count, boolean horizontal)`
`static Image`
`createImage(Class baseClass, String location)`
`static Image`
`createImage(String location)`
`static URL`
`getResource(String location)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getResource

public static URL getResource(String location)

### createImage

public static Image createImage(String location)

### createImage

public static Image createImage(Class baseClass, String location)

### createBufferedImage

public static Image createBufferedImage(String location)

### createIcons

public static Icon[] createIcons(String location, int count, boolean horizontal)

### createIcon

public static Icon createIcon(String location, int count, boolean horizontal, int index)

### createButtonStateIcon

public static Icon createButtonStateIcon(String location, int states)

### createButtonStateIcon

public static Icon createButtonStateIcon(String location, int states, Point shift)

### createButtonStateIcon

public static Icon createButtonStateIcon(String location, int states, Rectangle shift)

### createIcon

public static Icon createIcon(Class baseClass, String location)

### createIcon

public static Icon createIcon(Class baseClass, String location, Point shift)

### createIcon

public static Icon createIcon(Class baseClass, String location, Rectangle shiftAndSize)